<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
	<?php
	date_default_timezone_set("America/Mexico_City");
	session_start();
	include("conexion.php");
	
	$res=$_POST['q'];
	
	$rew=explode("|",$res);
	$FacturarDebito = 1;
	$turnoini=$rew[0];
    $turnoini = substr($turnoini,6 ,4).substr($turnoini,3,2).substr($turnoini,0 ,2)."00";
	$turnofin=$rew[1];
    $turnofin = substr($turnofin,6 ,4).substr($turnofin,3,2).substr($turnofin,0 ,2)."99";
    $chserie=$rew[2];
	$chserie=$rew[2];
	$chseriet=$rew[3];
	$chactvio=$rew[4];
	
	$chfolio=$rew[5];
	$chfoliot=$rew[6];
	$cancelada=$rew[7];
	$reproceso=$rew[8];
	$contado=$rew[9];
	$chfecha=$rew[10];
	$fecha=$rew[11];
	$checkturno=$rew[12];
			$tipos = "";
			$tipos=$contado;
            /*if ($contado=="0" && $credito=="0" && $debito=="0")
            {
                if ($FacturarDebito == 1)                
                    $tipos = "3,2,1";
                else
                    $tipos = "3,0";
            }
            else
            {
                if ($contado=="1")
                {
                    $tipos += "3";
                }
                //Se agrego la validacion para los reportes que solo tengan permiso para facturar debito GGVO 2016/03/23
                if ($FacturarDebito == 1)
                {
                    if ($credito=="1")
                    {
                        if (strlen($tipos) < 1)
                            $tipos += "1";
                        else
                            $tipos += ",1";
                    }
                    if ($debito=="1")
                    {
                        if (strlen($tipos) < 1)
                            $tipos += "2";
                        else
                           	$tipos += ",2";
                    }
                }
                else
                {
                    if (strlen($tipos) < 1)
                        $tipos += "0";
                    else
                        $tipos += ",0";
                }                
               
            }*/
	 		$sql = "select ";
            $sql .= "f.id_factura as id_factura, ";                       
            $sql .= "f.serie as serie, ";
            $sql .= "f.folio as folio, ";
            $sql .= "f.tipo as tipo, ";
            $sql .= "f.r_rfc as r_rfc, ";
            $sql .= "f.r_razon_social as r_razon_social, ";
            $sql .= "date_format(f.fecha_expedicion,'%Y/%m/%d %H:%i:%s') as fecha, ";
            $sql .= "ifnull(f.total-f.iva,0) as totaliva, ";          
            $sql .= "ifnull(f.iva,0) as iva, ";
            $sql .= "ifnull(f.total,0) as total, ";
            $sql .= "f.estado, ";
            //$sql .= "f.tipo_factura, "; //
            $sql .= "f.comprobante_tipo, "; //
            $sql .= "f.id_factura_nota_credito, ";
            $sql .= "f.estatus_proceso, "; //13
            $sql .= "f.descripcion_estatus, ";  
            $sql .= "f.factura_terminada, ";
            $sql .= "f.id_turno, ";
            $sql .= "ifnull(c.tipo,3) as cliente_tipo, ";
            $sql .= "ifnull(f.pago_metodo,'') as pago_metodo, ";
			$sql .= "f.archivo_pdf ";
            $sql .= "from ";
            $sql .= "facturas f ";
            $sql .= "left join clientes c ";
            $sql .= "on(c.id_cliente = f.id_receptor) ";
            $sql .= "where ";
            $sql .= "id_factura > 0 ";
	
	if($checkturno=="1")
	{
            if ($turnoini !="")
			{
				$sql .= " and f.id_turno >= " . $turnoini;
			}
			if ($turnofin != "")
			{
				$sql .= " and f.id_turno <= " . $turnofin." ";
			}
	}
			if ($chfecha == "1" )
			{
                $fechaIni = substr($fecha, 6,4)."-".substr($fecha,3 ,2)."-".substr($fecha, 0,2)." 00:00:00";
                $fechaFin = substr($fecha, 17,4)."-".substr($fecha,14 ,2)."-".substr($fecha, 11,2)." 23:59:59";
				$sql .= "and (f.fecha_expedicion >= '" . $fechaIni . "' and f.fecha_expedicion<= '".$fechaFin."') ";
			}
            

            if ($chactvio=="0" && $cancelada=="1")
            {
                $sql .= "and f.estado=0 ";
               
            }

            if ($chactvio=="1" && $cancelada=="0")
            {
                $sql .= "and f.estado=1 ";
               
            }

            if ($reproceso)
            {
                $sql .= "and f.factura_terminada=0 ";
                $sql .= "and f.estatus_proceso!=0 ";
               
            }

            if ($_SESSION['id_cliente']!="")
            {
                

                $sql .= "and f.id_receptor=".$_SESSION['id_cliente'];
                
            }

            if ($chserie=="1")
            {
				 if ($chseriet != "")
                {
                $sql .= "and f.serie='" . $chseriet . "' ";
				 }
            }

            if ($chfolio)
            {
                if ($chfoliot != "")
                {
                   

                $sql .= "and f.folio='" . $chfoliot . "' ";
				}
            }
            $sql .= " having ";
            $sql .= " cliente_tipo in(" . $tipos . ") ";
            
	mysqli_query($iden,'SET NAMES utf8');
	$resultado = $iden->query($sql); 
	if(mysqli_num_rows($resultado)==0){

	echo '<b>No hay sugerencias</b>';

	}else{

	echo "<table id='tabla_facturas' style='color:black;background-color:transparent;' border='1' width='100%'>";
		echo "<tbody>";
			echo '<thead style="border-bottom: 1px solid #93c54b; ">';
				echo '<tr style="border-bottom: 1px solid #93c54b;font-weight: bold; ">';
				echo "<td align='center' width='2%'>Id</td>";
				echo "<td align='center' width='3%'>Serie</td>";
				echo "<td align='center' width='3%'>Folio</td>";
				
				echo "<td align='center' width='8%'>RFC</td>";
				echo "<td align='center' width='15%'>Razon Social</td>";
				echo "<td align='center' width='10%'>Fecha</td>";
				echo "<td align='center' width='5%'>Subtotal</td>";
				echo "<td align='center' width='5%'>Iva</td>";
				echo "<td align='center' width='5%'>Total</td>";
				echo "<td align='center' width='2%'>Estado</td>";
				echo "<td align='center' width='5%'>Tipo</td>";
				
				echo "<td align='center' width='12%'>Estatus Proceso</td>";
				echo "<td align='center' width='12%'>Descripcion</td>";
				echo "<td align='center' width='2%'>Reproceso</td>";
				echo "<td align='center' width='5%'>Turno</td>";
				echo "<td align='center' width='10%'>Metodo Pago</td>";
                echo "<td align='center' width='5%'></td>";
				echo "</tr>";
				echo '</thead>';	
			$tipocomp="";
			$estado="";
			$cuentacance=0;
			$comprobantetip="";
			$estatusproc="";
			$estatuster="";
			$total=0;
			$cuenta=0;
	
	while($fila = $resultado->fetch_assoc()) 
	{ 
		 switch ($fila['tipo'])
                {
                    case "1": $tipocomp="Papel"; break;
                    case "2": $tipocomp="CFD"; break;
                    case "3": $tipocomp="CFDi"; break;
                    default: $tipocomp="CFDi"; break;
                }
		switch ($fila['estado'])
                {
                    case "0": $estado="Cancelada"; break;
                    case "1": $estado="Activa"; break;
                    case "2": $estado="Con Nota Crédito"; break;
                    default:  $estado="Indefinido"; break;
                }
		if ($fila['estado']!= "1")
                    $cuentacance++;
		 switch($fila['comprobante_tipo'])
                {
                    case "I":
                    case "ingreso":
                        $comprobantetip="Ingreso";
                        break;
                    case "E":
                    case "egreso":
                        $comprobantetip="Egreso";
                        break;
                    case "P":
                        $comprobantetip="Pago";
                        break;
                    default:
                        $comprobantetip="No definido";
                        break;
                }
		if ($fila['factura_terminada'] != "0")
                {
                    switch ($fila['estatus_proceso'])
                    {
                        case "0": $estatusproc="Esperando Facturación"; break;
                        case "1": $estatusproc="Facturada Correctamente"; break;
                        case "2": $estatusproc="Error en Información de Factura"; break;
                        case "3": $estatusproc="Falla en rutas"; break;
                        case "4": $estatusproc="Error en SAT"; break;
                        case "5": $estatusproc="Error en PAC"; break;
                        case "6": $estatusproc="Error en Codigo de Barras"; break;
                        case "7": $estatusproc="Error generando PDF"; break;
                        case "8": $estatusproc="Error al enviar Correo Electrónico"; break;
                        case "10": $estatusproc="Esperando Cancelación"; break;
                        case "11": $estatusproc="Cancelada"; break;
                        case "12": $estatusproc="Error en Cancelación"; break;
                        default: $estatusproc="NO DEFINIDO"; break;
                    }
                }
                else
                {
                    $estatusproc="Esperando Reprocesarse";
                }
		 if ($fila['factura_terminada'] == "0")
                    $estatuster="Reprocesandose";
                else
                    $estatuster="Terminado";
		echo '<tr onclick="facturas_seleccion(this)" style="border-bottom: 1px solid #93c54b; " id="'.$fila[id_factura].'|'.$fila[archivo_pdf].'">';
		echo "<td align='right'>$fila[id_factura]&nbsp;</td>";
		echo "<td align='right'>$fila[serie]&nbsp;</td>";
		echo "<td align='right'>$fila[folio]&nbsp;&nbsp;</td>";
		
		echo "<td align='left'>$fila[r_rfc]&nbsp;&nbsp;</td>";
		echo "<td align='left'>$fila[r_razon_social]&nbsp;&nbsp;</td>";
		echo "<td align='right'>$fila[fecha]</td>";
		echo "<td align='right'> ".number_format($fila[totaliva],2,'.',',')."&nbsp;</td>";
		echo "<td align='right'> ".number_format($fila[iva],2,'.',',')."&nbsp;</td>";
		echo "<td align='right'> ".number_format($fila[total],2,'.',',')."&nbsp;</td>";
		echo "<td align='right'>$estado&nbsp;</td>";
		echo "<td align='center'>$comprobantetip</td>";
		
		echo "<td align='left'>$estatusproc</td>";
		echo "<td align='left'>$fila[descripcion_estatus]</td>";
		echo "<td align='left'>$estatuster&nbsp;&nbsp;</td>";
		echo "<td align='right'>&nbsp;$fila[id_turno]&nbsp;</td>";
		echo "<td align='left'>&nbsp;&nbsp;$fila[pago_metodo]</td>";
        if($fila['estado']==1)
        {
            echo '<td><img src="images/reenvio.png" alt="" width="20px;" style="cursor: pointer;" onclick="reenvio('.$fila[id_factura].')"></td>';
        }
        else
        {
            echo '<td></td>';
        }
		echo "</tr>";
		
		$total+=$fila['total'];
		$cuenta++;
	}
	
	$resultado->free();
	mysqli_close($iden); 
	echo "</tr>";
		echo "</tbody>";
	echo "</table>";
	echo "<br>";
	echo "<table align='right'>";
	echo "<tbody>";
	echo "<tr>";
	echo "<td>Total Canceladas <input type='text' name='totalc' id='totalc' value='$cuentacance' style='text-align:right;'  disabled></td>";
	echo "<td>Número <input type='text' name='numeroto' id='numeroto' value='$cuenta' style='text-align:right;'  disabled></td>";
	echo "<td >Monto <input type='text' name='monto' id='monto' style='text-align:right;' value=' ".number_format($total,2,'.',',')."' disabled></td>";
	echo "</tr>";
		echo "</tbody>";
	echo "</table>";
	echo "<br>";
	echo "<br>";
	}
	?>
	
</body>
</html>